import { Data } from './../Data';
import { RecordData } from './record/RecordData';
export class GetRecordData extends Data {
    public invalidPage: boolean;
    public nextPage: boolean;
    public records: RecordData[];

    public update(data: any): void {
        if(!data) {
            return;
        }
        super.update(data);
        this.invalidPage = data.invalidPage;
        this.nextPage = data.nextPage;
        this.records = data.records;
    }
}